package org.springblade.manager.vo;

/**
 * @author yangyj
 */

public enum FormulaType {
    STATISTICS(0,"统计"),
    Arithmetic(1,"基础运算"),
    STR(2,"字符串"),
    DATE(3,"时间相关"),
    COLLECT(4,"数组、集合"),
    logic(5,"逻辑");
    private final String name;
    private int index;
    FormulaType(int index ,String name ) {
        this.name = name;
        this.index = index;
    }
    public static String getName(int index){
         for(FormulaType ft:FormulaType.values()){
             if(ft.index==index){
                 return ft.name;
             }
         }
         return "";
    }


}
